import request from '@/utils/request';
import { AxiosPromise } from 'axios';

export const getReconciliationList = (query) => {
  return request({
    url: '/bfs/reconciliation/list',
    method: 'get',
    params: query
  });
};

export const getRecDetailList = (query) => {
  return request({
    url: '/bfs/reconciliation/detailList',
    method: 'get',
    params: query
  });
};

export const getErrorMsgList = (query, errType) => {
  if (errType === '1') {
    return request({
      url: '/bfs/errormsg/buslist',
      method: 'get',
      params: query
    });
  }
  if (errType === '2') {
    return request({
      url: '/bfs/errormsg/resultList',
      method: 'get',
      params: query
    });
  }
};
